Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.mondrian
Class MondrianUtil

    java.lang.Object
      com.tonbeller.jpivot.mondrian.MondrianUtil

    public class MondrianUtil

extends java.lang.Object

Author:
  hh Utils for Mondrian Interface

Constructor Summary
`MondrianUtil()`

Method Summary
`static boolean` | `compareMembers(mondrian.olap.Member[] aMem1, mondrian.olap.Member[] aMem2)` compare arrays of members
`static java.lang.String` | `defaultParamName(mondrian.olap.Member m)` creates a parameter name for a member
`static java.lang.String` | `expString(mondrian.olap.Exp exp)` format exp to string for debugging purposes
`static mondrian.olap.Syntax` | `funCallSyntax(java.lang.String fuName, int nArgs)` Map function names to Mondrian Syntax type must be synchronized with mondrian/olap/fun/BuiltinFunTable.java
`static mondrian.olap.Member[]` | `getMemberDescendants(mondrian.olap.SchemaReader scr, mondrian.olap.Member member, mondrian.olap.Level level)` determine descendants of member at specific level
`static boolean` | `isVisible(mondrian.olap.SchemaReader scr, mondrian.olap.Member member)` Determine if the Member is GUI visible.
`static java.lang.String` | `memberString(mondrian.olap.Member[] mPath)` display member array for debugging purposes
`static mondrian.olap.Hierarchy[]` | `removeNull(mondrian.olap.Hierarchy[] hierarchies)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MondrianUtil

    public MondrianUtil()

Method Detail

### expString

    public static java.lang.String expString(mondrian.olap.Exp exp)

  format exp to string for debugging purposes

  Parameters:
    `exp` -
  Returns:

### compareMembers

    public static boolean compareMembers(mondrian.olap.Member[] aMem1,
                                         mondrian.olap.Member[] aMem2)

  compare arrays of members

  Parameters:
    `aMem1` -
    `aMem2` -
  Returns:
    true, if arrays are equal

### memberString

    public static java.lang.String memberString(mondrian.olap.Member[] mPath)

  display member array for debugging purposes

  Parameters:
    `mPath` -
  Returns:

### getMemberDescendants

    public static mondrian.olap.Member[] getMemberDescendants(mondrian.olap.SchemaReader scr,
                                                              mondrian.olap.Member member,
                                                              mondrian.olap.Level level)

  determine descendants of member at specific level

  Parameters:
    `scr` - SchemaReader
    `member` -
    `level` -
  Returns:
    descendants

### funCallSyntax

    public static mondrian.olap.Syntax funCallSyntax(java.lang.String fuName,
                                                     int nArgs)

  Map function names to Mondrian Syntax type must be synchronized with mondrian/olap/fun/BuiltinFunTable.java

  Parameters:
    `fuName` - - function name
    `nArgs` - - number of function args
  Returns:
    Syntax type

### defaultParamName

    public static java.lang.String defaultParamName(mondrian.olap.Member m)

  creates a parameter name for a member

### isVisible

    public static boolean isVisible(mondrian.olap.SchemaReader scr,
                                    mondrian.olap.Member member)

  Determine if the Member is GUI visible.

  Parameters:
    `scr` - the SchemaReader
    `member` - the Mondrian Member
  Returns:
    "true" if Member is GUI visible

### removeNull

    public static mondrian.olap.Hierarchy[] removeNull(mondrian.olap.Hierarchy[] hierarchies)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD